import { RouteConfig } from "types";
import Layout from "@/layout/index.vue";

const routers: RouteConfig[] = [
    {
        path: "/oneThree",
        name: "oneThree",
        meta: {
            title: "综合查询",
            icon: "menu-house",
            sort: 2
        },
        redirect: "/oneThree/comprehensiveQuery",
        component: Layout,
        children: [
            {
                path: "/oneThree/comprehensiveQuery",
                name: "comprehensive-query",
                meta: {
                    title: "综合查询",
                    sort: 16,
                    keepAliveName: "comprehensiveQuery"
                },
                component: () => import("@/views/oneThree/comprehensiveQuery/index.vue")
            },
            {
                path: "/oneThree/actualPopulation",
                name: "actual-population",
                meta: {
                    title: "实有人口",
                    sort: 14
                },
                component: () => import("@/views/oneThree/actualPopulation/index.vue")
            },
            {
                path: "/oneThree/house",
                name: "oneThree-house",
                meta: {
                    title: "实有房屋",
                    sort: 13
                },
                component: () => import("@/views/oneThree/house/index.vue")
            },
            {
                path: "/oneThree/unit",
                name: "oneThree-unit",
                meta: {
                    title: "实有单位",
                    sort: 12
                },
                component: () => import("@/views/oneThree/unit/index.vue")
            }
        ]
    }
];

export default routers;
